import { ClientProvider, ClientUtils, HttpClient } from "@scramjet/client-utils";
import { MultiManagerClient } from "@scramjet/multi-manager-api-client";
import { ManagerClient } from "@scramjet/manager-api-client";
import { MWRestAPI } from "@scramjet/types";
export declare class MiddlewareClient implements ClientProvider {
    client: HttpClient;
    apiBase: string;
    constructor(apiBase: string, utils?: ClientUtils);
    addMultiManager(api: string): Promise<MWRestAPI.MultiManagerResponse>;
    getMultiManagerClient(id: string, mutliManagerApiBase?: string): MultiManagerClient;
    getManagerClient(id: string, mutliManagerApiBase?: string): ManagerClient;
    listMultiManagers(): Promise<MWRestAPI.MultiManagersResponse>;
    getVersion(): Promise<MWRestAPI.VersionResponse>;
}
